PATCH Api/InspectionSvlOneGroupItem/{id}

URI Example

PATCH Api/InspectionSvlOneGroupItem/{id}

URI Parameters

NameDescriptionTypeAdditional information
id

integer

Required

Body Parameters

InspectionSvlOneGroupItemBinding
NameDescriptionTypeAdditional information
UnableToInspect

boolean

None.

NoDamageFound

boolean

None.

ConditionWeightingFactor

integer

None.

Request Formats

application/json, text/json, application/hal+json
  • {
      "unableToInspect": true,
      "noDamageFound": true,
      "conditionWeightingFactor": 1
    }
    

Resource Description

InspectionSvlOneGroupItemResource
NameDescriptionTypeAdditional information
Id

integer

None.

InspectionSvlOneGroupId

integer

None.

GroupItemCode

integer

None.

UnableToInspect

boolean

None.

NoDamageFound

boolean

None.

ConditionWeightingFactor

integer

None.

DamageScaleId

integer

None.

ConditionWeightedClassification

decimal number

None.

DamageExtension

integer

None.

AudioFileName

string

None.

AudioFileSize

integer

None.

AudioUrl

string

None.

IsBlocked

boolean

None.

UpdateDate

date

None.

_links

Dictionary of string [key] and Link [value]

None.

_embedded

Dictionary of string [key] and Object [value]

None.

Response Formats

application/json, text/json, application/hal+json
  • {
      "_links": {
        "sample string 1": {
          "href": "sample string 1",
          "method": "sample string 2",
          "rel": [
            "sample string 1",
            "sample string 2"
          ]
        },
        "sample string 2": {
          "href": "sample string 1",
          "method": "sample string 2",
          "rel": [
            "sample string 1",
            "sample string 2"
          ]
        }
      },
      "id": 1,
      "inspectionSvlOneGroupId": 2,
      "groupItemCode": 3,
      "unableToInspect": true,
      "noDamageFound": true,
      "conditionWeightingFactor": 1,
      "damageScaleId": 1,
      "conditionWeightedClassification": 1.1,
      "damageExtension": 1,
      "audioFileName": "sample string 4",
      "audioFileSize": 5,
      "audioUrl": "sample string 6",
      "isBlocked": true,
      "updateDate": "2026-10-29T13:04:56.142986+01:00",
      "_embedded": {
        "sample string 1": {},
        "sample string 3": {}
      }
    }